com.microfocus.zserver.zexplorer.model

## Class ZServerTaurusSystem

- java.lang.Object
- - AbstractZOSTaurusSystem
  - - com.microfocus.zserver.zexplorer.model.ZServerTaurusSystem

-     public class ZServerTaurusSystem
      extends AbstractZOSTaurusSystem

  Implementation of a z/Server AWM system.
  Author:
    RalfP

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROVIDER_ID` ID of the system provider.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZServerTaurusSystem(ISystemImage pImg, TaurusSystemPersistableProxy pSystemEntry)` Creates a new z/Server AWM system.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getProviderID()`
    `void` | `refresh(org.eclipse.core.runtime.IProgressMonitor pMonitor)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final java.lang.String PROVIDER_ID

      ID of the system provider.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ZServerTaurusSystem

          public ZServerTaurusSystem(ISystemImage pImg,
                                     TaurusSystemPersistableProxy pSystemEntry)
                              throws TaurusCoreException

      Creates a new z/Server AWM system.
      Parameters:
        `pImg` - the z/Server system image
        `pSystemEntry` - parsed master configuration entry
      Throws:
        `TaurusCoreException` - if the system cannot be added to the system directory

  - ### Method Detail

    - #### getProviderID

          public java.lang.String getProviderID()

    - #### refresh

          public void refresh(org.eclipse.core.runtime.IProgressMonitor pMonitor)
                       throws TaurusCoreException

      Throws:
        `TaurusCoreException`

Copyright © 2015 Micro Focus GmbH. All rights reserved.